# runkit7_constant_redefine

(PECL runkit7 >= Unknown)

runkit7_constant_redefine — Redéfinit une constante déjà définie

### Description

runkit7_constant_redefine(string `$constant_name`, mixed `$value`, int `$new_visibility` = ?): bool

### Liste de paramètres

`constant_name`

  La constante à redéfinir. Soit le nom d'une constante globale, soit `classname::constname` indiquant une constante de classe.

`value`

  La valeur à assigner à la constante.

`new_visibility`

  La nouvelle visibilité de la constante, pour les constantes de classe. Par défaut inchangé. L'une des constantes `RUNKIT7_ACC_*`.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient.

### Voir aussi

- runkit7_constant_add() - Similaire à define(), mais permet de définir dans les définitions de classe également
- runkit7_constant_remove() - Enlève/Supprime une constante déjà définie